# activehosts Struct Reference
[Internal Structures and Definitions]

Keeps a list of all the opened connections in the active mode. More...

`#include <pcap-remote.h>`

## Data Fields
struct sockaddr_storage | host
SOCKET | sockctrl
struct activehosts * | next

## Detailed Description

Keeps a list of all the opened connections in the active mode.

This structure defines a linked list of items that are needed to keep the info required to manage the active mode. In other words, when a new connection in active mode starts, this structure is updated so that it reflects the list of active mode connections currently opened. This structure is required by findalldevs() and open_remote() to see if they have to open a new control connection toward the host, or they already have a control connection in place.

Definition at line 133 of file pcap-remote.h.

## Field Documentation

struct sockaddr_storage host`[read]`

Definition at line 135 of file pcap-remote.h.

struct activehosts* next`[read]`

Definition at line 137 of file pcap-remote.h.

SOCKET sockctrl

Definition at line 136 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.